2 Replies Latest reply on Jun 3, 2011 7:34 AM by k-yo!

    An error has occurred. Message on launch of FB4.5

    k-yo!

      I own a license for FB 4 Standard and I own CS5 Production Premium. I did an upgrade to Web Premium 5.5 to get FB 4.5 Premium. I'm on a Mac Intel i7 with 10.6.7.

       

      I'm able to install all the software, but when I launch FB 4.5 I get "An error has occurred." message. The message says to "See the log file ... path to log" but I'm not sure what I'm looking for or how to fix it. The last section of output in the .log file says:

       

      !ENTRY org.eclipse.osgi 4 0 2011-05-29 08:36:20.840

      !MESSAGE Application error

      !STACK 1

      org.osgi.service.application.ApplicationException: No application id has been found.

      at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer. java:262)

      at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java :29)

      at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLau ncher.java:110)

      at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.jav a:79)

      at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:369)

      at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)

      at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

      at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)

      at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)

      at java.lang.reflect.Method.invoke(Method.java:597)

      at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:619)

      at org.eclipse.equinox.launcher.Main.basicRun(Main.java:574)

      at org.eclipse.equinox.launcher.Main.run(Main.java:1407)

       

       

      I tried uninstalling the FB 4.5 that I did with the CS5.5 Installer and reinstalling it, but the same thing happens. My next plan was to download the FB 4.5 trial and try entering my serial number.

       

      Any advice or guidance would be appreciated. Thanks!

      Dave

        • 1. Re: An error has occurred. Message on launch of FB4.5
          k-yo! Level 1

          So I tried the trial version but my serial number didn't work I guess because it's for a CS5.5 Web Premium product. I also tried uninstalling my current version of FB4 Standard, uninstalling CS5.5 and starting from scratch without any copies of FlashBuilder in my Applications folder and that didn't work, same error log message. I ended up reinstalling my original copy of FB4 Standard so I could continue working.

           

          The odd thing is when I went to my MacBook Pro and uninstalled the copy of FB4 Standard I have on there and installed the CS5.5 FlashBuilder 4.5 Premium it works and started up fine. So I'm guessing there's something specific about my iMac setup that's preventing launch.

           

          I was looking at my FB installation details, don't know if this matters but I'm running the standalone version:

          Adobe Flash Builder Localized Standalone Feature 4.0.1.277662 com.adobe.flexbuilder.feature.standalone.nl1.feature.group

           

          eclipse.application=com.adobe.flexbuilder.standalone.FlexBuilderApplication

           

           

          Unfortunately it's the weekend (holiday in US too). I like the weekend for trying to get these things setup but I'm on my own and feel I'm out of luck until the work week starts.

           

          If anyone from Adobe is reading this with a beer in one hand and hotdog in the other (or burger or veggie burger or bbq chicken leg) on a hot memorial day and have an idea on how to fix this I'd really appreciate your advice. Thanks!

          • 2. Re: An error has occurred. Message on launch of FB4.5
            k-yo! Level 1

            After a long call with very helpful Adobe Technical Support, I thought I should try and just run the basic Eclipse and that didn't work either. I thought about the fact that my iMac configuration was migrated from a previous iMac using Time Machine and that I'd probably junked up the works even further over last year or so, not to mention whatever I brought with it when I migrated.

             

            The solution was to back up all my docs, work, ect. and erase my iMac and reinstall the factory settings for 10.6, which I was looking forward to. A fresh, clean and zippy machine is now running Flash Builder Premium 4.5